import Vue from "vue";
import App from "./App.vue";
import router from "./router";
import store from "./store";
import axios from "axios";
import vueAxios from "vue-axios";
import "./index.css";
import { VuePlugin } from "vuera";
import "vue-progress-path/dist/vue-progress-path.css";
import VueProgress from "vue-progress-path";

/* import the fontawesome core */
import { library } from "@fortawesome/fontawesome-svg-core";

/* import specific icons */
import { faPenToSquare } from "@fortawesome/free-solid-svg-icons";

/* import font awesome icon component */
import { FontAwesomeIcon } from "@fortawesome/vue-fontawesome";

/* add icons to the library */
library.add(faPenToSquare);

/* add font awesome icon component */
Vue.component("font-awesome-icon", FontAwesomeIcon);

Vue.use(VuePlugin);
Vue.use(vueAxios, axios);
Vue.use(VueProgress, {
  // defaultShape: 'circle',
});
Vue.config.productionTip = false;

new Vue({
  components: { App },
  router,
  store,
  template: "<App/>",
}).$mount("#app");
